Summary: GNU Make
Name: make
Version: 3.77
Release: 3
Copyright: GPL
Group: Development/Building
Source: ftp://prep.ai.mit.edu:/pub/gnu/make-3.77.tar.gz
Patch0: make-3.77-fixes.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/make-root

%description
The program make is used to coordinate the compilation and
linking of a set of sources into a program, recompiling
only what is necessary, thus saving a developer a lot of time.
In fact, make can do a lot more - read the info docs.

%prep
%setup -q
%patch0 -p1 -b .fixes

%build
autoconf
./configure --prefix=/usr
make "CFLAGS=$RPM_OPT_FLAGS" 

%install
rm -f $RPM_BUILD_ROOT/usr/info/make.info*
make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  rm ./usr/info/dir
  gzip -9nf ./usr/info/make.info*
  strip ./usr/bin/make
  ln -sf make ./usr/bin/gmake
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/make.info.gz /usr/info/dir --entry="* GNU make: (make).           The GNU make utility."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/make.info.gz /usr/info/dir --entry="* GNU make: (make).           The GNU make utility."
fi

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/make
/usr/bin/gmake
/usr/man/man1/make.1
/usr/info/make.info*

%changelog
* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for large file support in glob
 
* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.77

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- udpated from 3.75 to 3.76
- various spec file cleanups
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
